package com.huyi.service.base.service.impl;

import com.huyi.service.base.entity.PayAccInf;
import com.huyi.service.base.mapper.PayAccInfMapper;
import com.huyi.service.base.service.IPayAccInfService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.beans.factory.annotation.Autowired;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;



import java.util.List;

/**
 * ClassName: PayAccInfServiceImpl<br>
 * Description: IPayAccInfService实现 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true, rollbackFor = Exception.class)
public class PayAccInfServiceImpl extends ServiceImpl<PayAccInfMapper, PayAccInf> implements IPayAccInfService {

    @Autowired
    private PayAccInfMapper payAccInfMapper;

    @Override
    public IPage<PayAccInf> findPayAccInfs(QueryRequest request, LambdaQueryWrapper<PayAccInf> wrapper) {
        Page<PayAccInf> page = new Page<>(request.getPageNum(), request.getPageSize());
        return this.page(page, wrapper);
    }

    @Override
    public List<PayAccInf> findPayAccInfs(LambdaQueryWrapper<PayAccInf> wrapper) {
		return this.list(wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void createPayAccInf(PayAccInf payAccInf) {
        this.save(payAccInf);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updatePayAccInf(PayAccInf payAccInf) {
        this.saveOrUpdate(payAccInf);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deletePayAccInf(LambdaQueryWrapper<PayAccInf> wrapper) {
	    this.remove(wrapper);
	}
}
